/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/

#ifndef ICONS_H_INCLUDED
#define ICONS_H_INCLUDED

#include <e32base.h>
#include <akniconarray.h>


static const TInt KMaxTextLen = 128;
struct TIconID
{
    TLitC16<KMaxTextLen>    iMbmFile;
	TInt            iBitmap;
	TInt			iMask;
};


IMPORT_C void LoadIcons(CAknIconArray * aIconList);
IMPORT_C TInt GetIconIndex(TInt identifier);
IMPORT_C TInt GetIconBitmap(TInt index);
IMPORT_C TInt GetIconMask(TInt index);
IMPORT_C const TDesC& GetIconMbm(TInt index);
#endif